      SUBROUTINE  ROTAT(ANGLE)                                                  
CCC
CCC         TRANSFORMATION MATRIX OF STOKES PARAMETERS (IL, IR, U, V)                                 
CCC         FOR A ROTATION OF REFERENCE PLANE.
CCC         CALLED FROM <LSRND3D>
CCC      ------------------------------- PROGRAMMED IN 1978 -----------                             
      IMPLICIT REAL*8(A-H,O-Z)                                                  
      DIMENSION R(4,4)                                                          
      COMMON /RMTRX/R                                                           
      CA=DCOS(ANGLE)                                                            
      SA=DSIN(ANGLE)                                                            
      CA2=DCOS(2.D0*ANGLE)                                                      
      SA2=DSIN(2.D0*ANGLE)                                                      
      R(1,1)= CA*CA                                                             
      R(1,2)= SA*SA                                                             
      R(1,3)=-0.5D0*SA2                                                         
      R(1,4)= 0.D0                                                              
      R(2,1)= SA*SA                                                             
      R(2,2)= CA*CA                                                             
      R(2,3)= 0.5D0*SA2                                                         
      R(2,4)= 0.D0                                                              
      R(3,1)= SA2                                                               
      R(3,2)=-SA2                                                               
      R(3,3)= CA2                                                               
      R(3,4)= 0.D0                                                              
      R(4,1)= 0.D0                                                              
      R(4,2)= 0.D0                                                              
      R(4,3)= 0.D0                                                              
      R(4,4)= 1.D0                                                              
      RETURN                                                                    
      END                                                                       
